<form [formGroup]="dataForm">
    <div *ngFor="let item of yourData">
        <div [formGroup]="getFormGroupById(item.id)">
            <label>
                TypeGroup:
                <input type="text" formControlName="itemTypeGroup" readonly>
            </label>
            <label>
                Consumption Quantity:
                <input type="number" formControlName="consumptionQuantity">
            </label>
            <label>
                Wastage Percentage:
                <input type="number" formControlName="wastagePercentage">
            </label>
            <label>
                Unit Price:
                <input type="number" formControlName="unitPrice">
            </label>
        </div>
    </div>
</form>

<button (click)="printValue()">Print Changes</button>